//=========================================================================
//
//	FILE:				CP_DemoImageView.cpp
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			CP_View to display images using CP_Graphics.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 3 $
//						Latest Checkout:  $Date: 2004-12-21 19:27:54 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_DemoImageView
#define _H_CP_DemoImageView
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_FileSystemSpec.h"
#include "CP_View.h"
#include "CP_Types.h"

class CP_DemoImageView : public CPLAT::CP_View
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_DemoImageView(
												CPLAT::CP_View *inSuperview,
												const CPLAT::CP_Point& inUpperLeft,
												const CPLAT::CP_Size& inContentSize,
												bool inUseOffscreen );
	//! Destructor.
	virtual								~CP_DemoImageView() throw();
	//@}

	//! @name Setters
	//@{
			void						SetSpec( CPLAT::CP_FileSystemSpec& inSpec );
	//@}

protected:
	//! @name Drawing
	//@{
	virtual	void						OnDraw(
													CPLAT::CP_Canvas& inCanvas,
													CPLAT::CP_Region& inUpdateArea );
	//@}

private:

	// Class data
protected:
	CPLAT::CP_FileSystemSpec			fImageSpec;			/* ! File spec for the image to be displayed. */
	bool								fUseOffscreen;		/* ! Flag to indicate if the image is displayed in an
																offscreen canvas. */
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

#endif	// _H_CP_DemoImageView
