//=========================================================================
//
//	FILE:				CP_Graphics_doxy.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Doxygen source file for the main page of the documentation
//						for the CP_Graphics demo.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 7 $
//						Latest Checkout:  $Date: 2005-08-30 20:31:18 -0700 (Tue, 30 Aug 2005) $
//
//=========================================================================

/*!
	@mainpage
	
	@section overview  Overview

	The CP_Graphics demo demonstrates the CP_Graphics clases. The CP_Graphics classes
	are the CPLAT classes used for drawing into a CP_Canvas object, and can be
	used to draw various geometric shapes, images, icons, regions and paths.
	
	The CP_Graphics class uses the underlying OS to do all of its drawing as follows:
		- MacOS running under OSX - Quartz
		- MacOS running under OS9 - QuickDraw
		- Windows - GDI+ if available othewise GD
	
	The first screen shows various geometric shapes drawn with the CP_Graphics
	class. The middle section shows bezier curves, and the bottom shapes show
	a combination of shapes.

	@image html CP_Graphics_Shapes_OSX.jpg
	
	The next screen shows paths and gradients.
	
	@image html CP_Graphics_Paths_OSX.jpg
	
	And this last shot shows an image displayed in various ways, one time in
	an oval clipping area, cropped and scaled images.
	
	@image html CP_Graphics_Images_OSX.jpg
*/
