//=========================================================================
//
//	FILE:				CP_DocumentDemo_Menus.r
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Menus for the CP_Document demo.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev:$
//						Latest Checkout:  $Date:$
//
//=========================================================================

	// CPLAT_Framework
#include "CP_MenuItemEnableFlags.h"

	// Apple Includes
#include <Carbon.r>

resource 'MBAR' (128)
{
	{
		128,
		129,
		130,
		131,
		132,
	}
};

resource 'MENU' (128)
{
	128,
	textMenuProc,
	allEnabled,
	enabled,
	apple,
	{
		"About Application", noIcon, noKey, noMark, plain
	}
};

resource 'xmnu' (128, purgeable)
{
	versionZero
	{
		{
			dataItem { 18, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
		}
	};
};

resource 'MENU' (129, "File Menu")
{
	129,
	textMenuProc,
	NoItems,
	enabled,
	"File",
	{
		"New", noIcon, "N", noMark, plain,
		"Open", noIcon, "O", noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Close", noIcon, "W", noMark, plain,
		"Save", noIcon, "S", noMark, plain,
		"Save As...", noIcon, noKey, noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Page Setup...", noIcon, noKey, noMark, plain,
		"Print...", noIcon, "P", noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Quit", noIcon, "Q", noMark, plain,
	}
};

resource 'xmnu' (129, purgeable)
{
	versionZero
	{
		{
			dataItem { 1, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 2, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			skipitem {},
			dataItem { 3, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 4, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 5, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			skipitem {},
			dataItem { 7, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 8, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			skipitem {},
			dataItem { 9, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
		}
	};
};

resource 'MENU' (130, "Edit Menu")
{
	130,
	textMenuProc,
	NoItems,
	enabled,
	"Edit",
	{
		"Undo", noIcon, "Z", noMark, plain,
		"Redo", noIcon, "", noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Cut", noIcon, "X", noMark, plain,
		"Copy", noIcon, "C", noMark, plain,
		"Paste", noIcon, "V", noMark, plain,
		"Clear", noIcon, "", noMark, plain,
		"Select All", noIcon, "A", noMark, plain,
	}
};

resource 'xmnu' (130, purgeable)
{
	versionZero
	{
		{
			dataItem { 10, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 16, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			skipitem {},
			dataItem { 11, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 12, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 13, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 14, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 15, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
		}
	};
};

resource 'MENU' (131, "Size Menu")
{
	131,
	textMenuProc,
	NoItems,
	enabled,
	"Size",
	{
		"9", noIcon, "", noMark, plain,
		"10", noIcon, "", noMark, plain,
		"11", noIcon, "", noMark, plain,
		"12", noIcon, "", noMark, plain,
		"14", noIcon, "", noMark, plain,
		"16", noIcon, "", noMark, plain,
		"18", noIcon, "", noMark, plain,
		"24", noIcon, "", noMark, plain,
	}
};

resource 'xmnu' (131, purgeable)
{
	versionZero
	{
		{
			dataItem { 1001, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 1002, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 1003, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 1004, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 1005, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 1006, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 1007, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 1008, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
		}
	};
};

resource 'MENU' (132, "Style Menu")
{
	132,
	textMenuProc,
	NoItems,
	enabled,
	"Style",
	{
		"Plain", noIcon, "", noMark, plain,
		"Italic", noIcon, "", noMark, plain,
		"Bold", noIcon, "", noMark, plain,
	}
};

resource 'xmnu' (132, purgeable)
{
	versionZero
	{
		{
			dataItem { 2001, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 2002, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 2003, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
		}
	};
};

resource 'MENU' (500, "Fonts Menu")
{
	500,
	textMenuProc,
	NoItems,
	enabled,
	"Fonts",
	{
	}
};

resource 'xmnu' (500, purgeable)
{
	versionZero
	{
		{
		}
	};
};

