//=========================================================================
//
//	FILE:				CP_PersistantWriter_Binary.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			CP_Persistant writer class for writing our demo documents
//						data as binary data.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:27:25 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_PersistantWriter_Binary
#define _H_CP_PersistantWriter_Binary
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_FileSystemSpec.h"
#include "CP_PersistantWriter.h"
#include "CP_Types.h"

/**
*	@class		CP_PersistantWriter_Binary
*	@brief		CP_Persistant writer class for writing our demo documents data as binary data.
*/
class CP_EXPORT CP_PersistantWriter_Binary : public CPLAT::CP_PersistantWriter
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_PersistantWriter_Binary( CPLAT::CP_Persistant *inPersistant );
	//! Destructor.
	virtual								~CP_PersistantWriter_Binary();
	//@}
			
	//! @name Getters
	//@{
	virtual	CPLAT::FourCharCode			GetType();
	//@}

	//! @name Writing
	//@{
	virtual CPLAT::CP_FileSystemSpec	Write(
											const CPLAT::CP_FileSystemSpec& inFileSpec,
											CPLAT::FourCharCode inType );
	//@}
									
protected:

	// class data
protected:
	
//========================================================================
// Platform specific routines
//========================================================================
#ifdef TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

#endif	// _H_CP_PersistantWriter_Binary

