//=========================================================================
//
//	FILE:				CP_UIClasses_Tab_BackView.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			CP_View class that draws a border around its bounds.
//						The main purpose of this view is to hold other views
//						in the tab demo. The border is so the size and location
//						of this containing view can be seen better.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 7 $
//						Latest Checkout:  $Date: 2005-08-30 20:34:07 -0700 (Tue, 30 Aug 2005) $
//
//=========================================================================
#ifndef _H_CP_UIClasses_Tab_BackView
#define _H_CP_UIClasses_Tab_BackView
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_View.h"

/*!
*	\class		CP_UIClasses_Tab_BackView
*	\brief		CP_View class that draws a frame around its border.
*/
class CP_EXPORT CP_UIClasses_Tab_BackView : public CPLAT::CP_View
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_UIClasses_Tab_BackView(
												CPLAT::CP_View *inSuperview,
												const CPLAT::CP_Point& inUpperLeft,
												const CPLAT::CP_Size& inContentSize );
	//! Destructor.
	virtual								~CP_UIClasses_Tab_BackView() throw();
	//@}
			
protected:
	//! @name Drawing
	//@{
	virtual	void						OnDraw(
												CPLAT::CP_Canvas& inCanvas,
												CPLAT::CP_Region& inUpdateArea );
	//@}

	// class data
protected:
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
	//! @name Misc
	//@{
	virtual	void						SetForeBackColors();
	//@}
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

#endif	// _H_CP_UIClasses_Tab_BackView

