/*
=========================================================================

	FILE:		CP_AE_Defines.h
	
				Copyright  1999-2003. Ken Stahlman. All Rights Reserved.
	
	PURPOSE:	Define of AppleEvent ref con values used in aedt resources
				and the framework.
	
	HISTORY:	1st Version - Monday, June 28, 1999.

	VERSION:	Current Revision: $Rev: 174 $
				Latest Checkout:  $Date: 2005-05-16 14:29:14 -0700 (Mon, 16 May 2005) $

=========================================================================
*/
#ifndef _H_CP_AppleEvent_Defines
#define _H_CP_AppleEvent_Defines
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#define kCP_AppleEvent_OpenApp								kAEOpenApplication
#define kCP_AppleEvent_OpenDoc								kAEOpenDocuments
#define kCP_AppleEvent_PrintDoc								kAEPrintDocuments
#define kCP_AppleEvent_QuitApp								kAEQuitApplication
#define kCP_AppleEvent_Preferences							kAEShowPreferences

	// NOTE: These values below are now depreciated in favor of
	// 	values contained from the sdef scripting defintions
#if 0
	#define kCP_AppleEvent_OpenApp								1001
	#define kCP_AppleEvent_OpenDoc								1002
	#define kCP_AppleEvent_PrintDoc								1003
	#define kCP_AppleEvent_QuitApp								1004
	#define kCP_AppleEvent_Preferences							1005

	#define kCP_AppleEvent_Clone								2001
	#define kCP_AppleEvent_Close								2002
	#define kCP_AppleEvent_CountElements						2003
	#define kCP_AppleEvent_CreateElement						2004
	#define kCP_AppleEvent_Delete								2005
	#define kCP_AppleEvent_DoesObjectExist						2006
	#define kCP_AppleEvent_GetClassInfo							2007
	#define kCP_AppleEvent_GetData								2008
	#define kCP_AppleEvent_GetDataSize							2009
	#define kCP_AppleEvent_GetInfo								2010
	#define kCP_AppleEvent_Move									2011
	#define kCP_AppleEvent_Open									1002
	#define kCP_AppleEvent_Print								1003
	#define kCP_AppleEvent_Save									2012
	#define kCP_AppleEvent_SetData								2013

	#define kCP_AppleEvent_ApplicationDied						3001
	#define kCP_AppleEvent_BeginTransaction						3002
	#define kCP_AppleEvent_Copy									3003
	#define kCP_AppleEvent_CreatePublisher						3004
	#define kCP_AppleEvent_Cut									3005
	#define kCP_AppleEvent_DoScript								3006
	#define kCP_AppleEvent_EditGraphic							3007
	#define kCP_AppleEvent_EndTransaction						3008
	#define kCP_AppleEvent_ImageGraphic							3009
	#define kCP_AppleEvent_IsUniform							3010
	#define kCP_AppleEvent_MakeObjectVisible					3011
	#define kCP_AppleEvent_Paste								3012
	#define kCP_AppleEvent_Redo									3013
	#define kCP_AppleEvent_Revert								3014
	#define kCP_AppleEvent_TransactionTerminated				3015
	#define kCP_AppleEvent_Undo									3016
	#define kCP_AppleEvent_Select								3017
#endif

#endif	// _H_CP_AppleEvent_Defines
