/*
=========================================================================

	FILE:		CP_Graphics_Enums.h
	
				Copyright  2002-2003-2003. Ken Stahlman. All Rights Reserved.
	
	PURPOSE:	Enumerations used by the CP_Graphics classes.
	
	HISTORY:	1st Version - January 2002.
	
	NOTES:		- none -

	VERSION:	Current Revision: $Revision: 2 $
				Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $

=========================================================================
*/
#ifndef _H_CP_Graphics_Enums
#define _H_CP_Graphics_Enums
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework

#if TARGET_OS_WIN32
	#if CP_Optional_GDIPlus
			// Windows SDK
		#include "GdiPlus.h"
	#endif	// CP_Optional_GDIPlus
#endif

CPLAT_Begin_Namespace_CPLAT

	// Implementor type classes
enum CP_E_GraphicsImp
{
	CP_E_GraphicsImp_QuickDraw,
	CP_E_GraphicsImp_GDI,
	CP_E_GraphicsImp_Quartz,
	CP_E_GraphicsImp_GDIPlus,
	CP_E_GraphicsImp_GDK,
	CP_E_GraphicsImp_PlatformNative
};

	// Line join
#if TARGET_OS_MAC
	enum CP_E_GraphicsLineJoin
	{
		CP_E_GraphicsLineJoin_Miter = kCGLineJoinMiter,
		CP_E_GraphicsLineJoin_Round = kCGLineJoinRound,
		CP_E_GraphicsLineJoin_JoinBevel = kCGLineJoinBevel
	};
#endif

#if TARGET_OS_WIN32
	#if CP_Optional_GDIPlus
		enum CP_E_GraphicsLineJoin
		{
			CP_E_GraphicsLineJoin_Miter = Gdiplus::LineJoinMiter,
			CP_E_GraphicsLineJoin_Round = Gdiplus::LineJoinRound,
			CP_E_GraphicsLineJoin_JoinBevel = Gdiplus::LineJoinBevel
		};
	#else
		enum CP_E_GraphicsLineJoin
		{
			CP_E_GraphicsLineJoin_Miter = 1,
			CP_E_GraphicsLineJoin_Round = 1,
			CP_E_GraphicsLineJoin_JoinBevel = 2
		};
	#endif
#endif

#if TARGET_OS_LINUX
	enum CP_E_GraphicsLineJoin
	{
		CP_E_GraphicsLineJoin_Miter = 1,
		CP_E_GraphicsLineJoin_Round = 2,
		CP_E_GraphicsLineJoin_JoinBevel = 3
	};
#endif

	// Line cap
#if TARGET_OS_MAC
	enum CP_E_GraphicsLineCap
	{
		CP_E_GraphicsLineCap_Butt = kCGLineCapButt,
		CP_E_GraphicsLineCap_Round = kCGLineCapRound,
		CP_E_GraphicsLineCap_Square = kCGLineCapSquare
	};
#endif

#if TARGET_OS_WIN32
	#if CP_Optional_GDIPlus
		enum CP_E_GraphicsLineCap
		{
			CP_E_GraphicsLineCap_Butt = Gdiplus::LineCapFlat,
			CP_E_GraphicsLineCap_Round = Gdiplus::LineCapRound,
			CP_E_GraphicsLineCap_Square = Gdiplus::LineCapSquare
		};
	#else
		enum CP_E_GraphicsLineCap
		{
			CP_E_GraphicsLineCap_Butt = 1,
			CP_E_GraphicsLineCap_Round = 2,
			CP_E_GraphicsLineCap_Square = 3
		};
	#endif
#endif

#if TARGET_OS_LINUX
	enum CP_E_GraphicsLineCap
	{
		CP_E_GraphicsLineCap_Butt = 1,
		CP_E_GraphicsLineCap_Round = 2,
		CP_E_GraphicsLineCap_Square = 3
	};
#endif

	// Path Drawing Mode
#if TARGET_OS_MAC
	enum CP_E_PathDrawingMode
	{
		CP_E_Graphics_PathFill = kCGPathFill,
		CP_E_Graphics_PathEOFill = kCGPathEOFill,
		CP_E_Graphics_PathStroke = kCGPathStroke,
		CP_E_Graphics_PathFillStroke = kCGPathFillStroke,
		CP_E_Graphics_PathEOFillStroke = kCGPathEOFillStroke
	};
#else
	enum CP_E_PathDrawingMode
	{
		CP_E_Graphics_PathFill,
		CP_E_Graphics_PathEOFill,
		CP_E_Graphics_PathStroke,
		CP_E_Graphics_PathFillStroke,
		CP_E_Graphics_PathEOFillStroke
	};
#endif

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_Graphics_Enums
