//=========================================================================
//
//	FILE:				CP_IBTags.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Defines for the various tags used in InterfaceBuilder
//						XML files.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 142 $
//						Latest Checkout:  $Date: 2005-04-10 21:14:06 -0700 (Sun, 10 Apr 2005) $
//
//=========================================================================
#ifndef _H_CP_IBTags
#define _H_CP_IBTags
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework

CPLAT_Begin_Namespace_CPLAT
	
//========================================================================
// Buttons
//========================================================================
#define kCP_Behavior										"behavior"
#define kCP_BevelThickness									"bevelThickness"
#define kCP_ButtonType										"buttonType"
#define kCP_ContentResID									"contentResID"
#define kCP_ContentType										"contentType"
#define kCP_GraphicAlignment								"graphicAlignment"
#define kCP_GraphicXOffset									"graphicXOffset"
#define kCP_GraphicYOffset									"graphicYOffset"
#define kCP_Menu											"menu"
#define kCP_MenuBehavior									"menuBehavior"
#define kCP_MenuPlacement									"menuPlacement"
#define kCP_Rounded											"rounded"
#define kCP_SelectedItem									"selectedItem"
#define kCP_Size											"size"
#define kCP_TextAlignment									"textAlignment"
#define kCP_TextOffset										"textOffset"

//========================================================================
// Clock
//========================================================================
#define kCP_ClockType										"clockType"

//========================================================================
// Common
//========================================================================
#define kCP_Bounds											"bounds"
#define kCP_ClassID											"classID"
#define kCP_ControlID										"controlID"
#define kCP_ControlSignature								"controlSignature"
#define kCP_Command											"command"
#define kCP_IsHidden										"isHidden"
#define kCP_IsEnabled										"isEnabled"
#define kCP_IsPassword										"isPassword"
#define kCP_Location										"location"
#define kCP_Size											"size"
#define kCP_ViewFrame										"viewFrame"

//========================================================================
// Controls
//========================================================================
#define kCP_AutoToggle										"autoToggle"
#define kCP_ControlSize										"controlSize"
#define kCP_InitialState									"initialState"
#define kCP_InitialValue									"initialValue"
#define kCP_MinimumValue									"minimumValue"
#define kCP_MaximumValue									"maximumValue"

//========================================================================
// Disclosure
//========================================================================
#define kCP_DrawTitle										"drawTitle"

//========================================================================
// Group Boxes
//========================================================================
#define kCP_IsPrimary										"primary"
#define kCP_TitleType										"titleType"

enum
{
	kCP_TextGroupBoxType = 0,
	kCP_CheckBoxGroupBoxType = 1,
	kCP_PopupGroupBoxType = 2
};

//========================================================================
// Menus
//========================================================================
#define kCP_Menu											"menu"
#define kCP_MenuCommand										"command"
#define kCP_MenuItemChecked									"checked"
#define kCP_MenuTitle										"title"

//========================================================================
// Misc
//========================================================================
#define kCP_Collapsed										"collapsed"
#define kCP_Creator											"creator"
#define kCP_DontTrack										"dontTrack"
#define kCP_DropTarget										"dropTarget"
#define kCP_IconType										"iconType"
#define kCP_Increment										"increment"
#define kCP_IsEditable										"isEditable"
#define kCP_IsLive											"isLive"
#define kCP_Transform										"transform"

//========================================================================
// Progress
//========================================================================
#define kCP_PopupArrowSize									"indeterminate"

//========================================================================
// Progress
//========================================================================
#define kCP_Indeterminate									"indeterminate"
#define kCP_NumberTickMarks									"numTickMarks"
#define kCP_Orientation										"orientation"

//========================================================================
// Tabs
//========================================================================
#define kCP_Subviews										"subviews"
#define kCP_TabItems										"tabItems"
#define kCP_TabItem											"tabItem"
#define kCP_TabName											"tabName"
#define kCP_TabEnabled										"tabEnabled"
#define kCP_TabSelection									"tabSelection"
#define kCP_UserPaneID										"userPane"

//========================================================================
// Text
//========================================================================
#define kCP_TextPlacement									"textPlacement"
#define kCP_Title											"title"
#define kCP_Justification									"justification"
#define kCP_FontStyle										"fontStyle"

//========================================================================
// Windows
//========================================================================
#define kCP_HasCloseBox										"hasCloseBox"
#define kCP_HasCollapseBox									"hasCollapseBox"
#define kCP_Compositing										"compositing"
#define kCP_HasHZoom										"hasHorizontalZoom"
#define kCP_HasVZoom										"hasVerticalZoom"
#define kCP_HasStandardHandler								"standardHandler"
#define kCP_HasToolbarButton								"toolbarButton"
#define kCP_IsConstrained									"isConstrained"
#define kCP_IsMetal											"metal"
#define kCP_IsResizeable									"isResizable"
#define kCP_LiveResize										"liveResize"
#define kCP_ReceivesActivates								"receiveActivates"
#define kCP_ReceivesUpdates									"receiveUpdates"
#define kCP_ThemeBrush										"themeBrush"
#define kCP_WindowAttributes								"attributes"
#define kCP_WindowClass										"carbonWindowClass"//"class"
#define kCP_WindowPosition									"windowPosition"
#define kCP_WindowRect										"windowRect"

//========================================================================
// XML Node Types
//========================================================================
#define kCP_NodeType_Array									"array"
#define kCP_NodeType_Dictionary								"dictionary"
#define kCP_NodeType_Object									"object"
#define kCP_NodeType_Reference								"reference"
#define kCP_NodeType_String									"string"
#define kCP_RootControl										"rootControl"
#define kCP_Count											"count"
#define kCP_Name											"name"
#define kCP_MenuItems										"menuItems"
#define kCP_MenuItem										"menuItem"

#define kCP_IB_XIB_Extension								"xib"

//========================================================================
// IB Class names
//========================================================================
#define kCP_IBCarbonWindow									"IBCarbonWindow"

#define kCP_IBCarbonUserPane								"IBCarbonUserPane"

#define kCP_IBCarbonCustomControl							"IBCarbonCustom"

	// Menus
#define kCP_IBCarbonMenuItem								"IBCarbonMenuItem"

	// Views
#define kCP_IBCarbonButton									"IBCarbonButton"
#define kCP_IBCarbonBevelButton								"IBCarbonBevelButton"
#define kCP_IBCarbonChasingArrows							"IBCarbonChasingArrows"
#define kCP_IBCarbonCheckBox								"IBCarbonCheckBox"
#define kCP_IBCarbonClockDate								"IBCarbonClockDate"
#define kCP_IBCarbonComboBox								"IBCarbonComboBox"
#define kCP_IBCarbonGroupBox								"IBCarbonGroupBox"
#define kCP_IBCarbonEditText								"IBCarbonEditText"
#define kCP_IBCarbonIcon									"IBCarbonIcon"
#define kCP_IBCarbonImageWell								"IBCarbonImageWell"
#define kCP_IBCarbonLittleArrows							"IBCarbonLittleArrows"
#define kCP_IBCarbonPicture									"IBCarbonPicture"
#define kCP_IBCarbonPopupArrow								"IBCarbonPopupArrow"
#define kCP_IBCarbonPopupButton								"IBCarbonPopupButton"
#define kCP_IBCarbonProgressBar								"IBCarbonProgressBar"
#define kCP_IBCarbonRadioButton								"IBCarbonRadioButton"
#define kCP_IBCarbonRadioGroup								"IBCarbonRadioGroup"
#define kCP_IBCarbonRelevanceBar							"IBCarbonRelevanceBar"
#define kCP_IBCarbonRoundButton								"IBCarbonRoundButton"
#define kCP_IBCarbonScrollBar								"IBCarbonScrollBar"
#define kCP_IBCarbonSeparator								"IBCarbonSeparator"
#define kCP_IBCarbonSlider									"IBCarbonSlider"
#define kCP_IBCarbonStaticText								"IBCarbonStaticText"
#define kCP_IBCarbonTab										"IBCarbonTab"
#define kCP_IBCarbonTextView								"IBCarbonTextView"
#define kCP_IBCarbonTriangle								"IBCarbonTriangle"

	// Custom Class IDs
const UInt32 kCP_CustomClassID_LittleArrowsEditBuddy		= CP_FOUR_CHAR_CODE('LABD');
const UInt32 kCP_CustomClassID_OpenGL						= CP_FOUR_CHAR_CODE('OPGL');
const UInt32 kCP_CustomClassID_Placard						= CP_FOUR_CHAR_CODE('PLAC');
const UInt32 kCP_CustomClassID_QuickTimeMovieView			= CP_FOUR_CHAR_CODE('QTMV');
const UInt32 kCP_CustomClassID_SelectColorButton			= CP_FOUR_CHAR_CODE('SELB');
const UInt32 kCP_CustomClassID_ScrollableView				= CP_FOUR_CHAR_CODE('SCVI');
const UInt32 kCP_CustomClassID_Scroller						= CP_FOUR_CHAR_CODE('SCRL');
const UInt32 kCP_CustomClassID_Splitter						= CP_FOUR_CHAR_CODE('SPLT');
const UInt32 kCP_CustomClassID_TableView					= CP_FOUR_CHAR_CODE('TBVI');
const UInt32 kCP_CustomClassID_Toolbar						= CP_FOUR_CHAR_CODE('TOLB');
const UInt32 kCP_CustomClassID_TV_DataBrowser				= CP_FOUR_CHAR_CODE('TVDB');
const UInt32 kCP_CustomClassID_View							= CP_FOUR_CHAR_CODE('VIEW');
const UInt32 kCP_CustomClassID_WindowHeader					= CP_FOUR_CHAR_CODE('WINH');
const UInt32 kCP_CustomClassID_WindowListHeader				= CP_FOUR_CHAR_CODE('WILH');

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_IBTags

