//=========================================================================
//
//	FILE:				CP_InPlaceEditField.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Implementation of the CP_EditField for inplace editing.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_InPlaceEditField
#define _H_CP_InPlaceEditField
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_EditField.h"

CPLAT_Begin_Namespace_CPLAT

class CP_EXPORT CP_InPlaceEditField : public CP_EditField
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_InPlaceEditField();
										CP_InPlaceEditField(
												CP_View *inSuperview,
												const CP_Point& inUpperLeft,
												const CP_Size& inContentSize,
												const CP_String& inTitle );
	//@}
	//! Destructor.
	virtual								~CP_InPlaceEditField() throw();
	//@}

			void						BeginEdit();
			void						EndEdit();

protected:

	// class data
protected:
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_InPlaceEditField

