
//=========================================================================
//
//	FILE:				CP_TV_TextColumn.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Base view class for displaying data in a table format.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 204 $
//						Latest Checkout:  $Date: 2005-06-06 22:15:38 -0700 (Mon, 06 Jun 2005) $
//
//=========================================================================
#ifndef _H_CP_TV_TextColumn
#define _H_CP_TV_TextColumn
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_OSTypes.h"
#include "CP_TableView.h"

CPLAT_Begin_Namespace_CPLAT

class CP_EXPORT CP_TV_TextColumn : public CP_TableView
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_TV_TextColumn();
										CP_TV_TextColumn(
												CP_View *inSuperview,
												const CP_Point& inUpperLeft,
												const CP_Size& inContentSize,
												UInt32 inGeometry,
												bool inAllowMultiSelection = false );
	//@}
	//! Destructor.
	virtual								~CP_TV_TextColumn() throw();
	//@}
			
	//! @name Persistance
	//@{
	static CP_M_Persist					*PersistCreator();
	//@}

protected:
	//! @name Drawomg
	//@{
	virtual	void						OnDraw(
												CP_Canvas& inCanvas,
												CP_Region& inUpdateArea );
	//@}

	//! @name Persistance
	//@{
	virtual	void						OnInitPersist(
												CP_View *inSuperview,
												CP_DataValueList& inDataValueList );
	//@}

public:

	// class data
protected:

//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_TV_TextColumn

