//=========================================================================
//
//	FILE:				CP_View_Imp_WinToolbar.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 226 $
//						Latest Checkout:  $Date: 2005-07-02 15:14:01 -0700 (Sat, 02 Jul 2005) $
//
//=========================================================================
#ifndef _H_CP_View_Imp_WinToolbar
#define _H_CP_View_Imp_WinToolbar
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_OS_WIN32

	// CPLAT_Framework
#include "CP_Structure_Defines.h"
#include "CP_View_Imp_Win.h"

CPLAT_Begin_Namespace_CPLAT

class CP_EXPORT CP_View_Imp_WinToolbar : public CP_View_Imp_Win
{
public:
									// Construction / destruction
								CP_View_Imp_WinToolbar(
										CP_View_Imp *inOwnerViewImp,
										CP_View *inSuperview,
										const CP_Point& inUpperLeft,
										const CP_Size& inContentSize );
	virtual						~CP_View_Imp_WinToolbar() throw();

	//! @name Toolbar Images
	//@{
			SInt16				LoadImages(
										SInt16 inResourceID,
										SInt16 inNumberImages );
	//@}

	//! @name Toolbar Items
	//@{
			void				AddItem(
										const CP_String& inItemText,
										const CP_S_ViewContentInfo& inContentInfo,
										const CP_CommandNo inCommand,
										const CP_String& inHelpString,
										const CP_String& inSecondaryHelpString = "" );
	//@}

protected:
	virtual	void				InitEventHandler( CP_EventHandler& inEventHandler );

private:
			void 				Init(
										CP_View *inSuperview,
										const CP_Point& inLocation,
										const CP_Size& inContentSize );

			void				HandleCommandEvent( CP_Event_Base& inEvent );

	// class data
protected:
};

CPLAT_End_Namespace_CPLAT

#endif	// TARGET_OS_WIN32

#endif	// _H_CP_View_Imp_WinToolbar

