//=========================================================================
//
//	FILE:				CP_NonDebug_Mach.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Common header file used in prefix files for CPLAT and
//						MachO targets.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	PLATFORM:			MacOSX Mach
//	DEBUGGING:			Non Debug
//
//	VERSION:			Current Revision: $Rev: 228 $
//						Latest Checkout:  $Date: 2005-07-04 16:35:04 -0700 (Mon, 04 Jul 2005) $
//
//=========================================================================

// ===================================================================================
//	Platform build flags
// ===================================================================================
#define TARGET_OS_MAC						1
#define TARGET_API_MAC_CARBON				1
#define TARGET_API_MAC_OSX					1		// We are not using CarbonLib, but OSX frameworks 

#define TARGET_OS_LINUX						0

// ===================================================================================
//	Depreciated items flags
// ===================================================================================
#define CP_UseDepreciated_10_4_APIs			0		// Use MacOS APIs marked as depreciated in MacOS 10.4 (Tiger)

// ===================================================================================
//	Debugging flags
// ===================================================================================
#define CP_Debug							0
#define CP_Debug_Exceptions					0
#define CP_Debug_RecordMemoryAllocations	0
#define CP_Debug_UseCustomOperatorNew		0
#define CP_Debug_RecordOSCalls				0
#define CP_Debug_RecordMemoryAllocations	0

// ===================================================================================
//	OS Environment
// ===================================================================================
#define ACCESSOR_CALLS_ARE_FUNCTIONS		1		// MacOS header flag
#define __CF_USE_FRAMEWORK_INCLUDES__		1		// Apple headers for OSX frameworks
	
// ===================================================================================
//	Namespace
// ===================================================================================
#if __MWERKS__
	#define ENABLE_STD_NAMESPACE			0		// disable std namespace
#else
	#define ENABLE_STD_NAMESPACE			1		// enable std namespace
#endif
	
// ===================================================================================
//	Standard Library / MSL Defines
// ===================================================================================
#if TARGET_CC_METROWERKS
	#include <ansi_parms.h>

		// MSL debugging
	#define _MSL_DEBUG						1
#endif

// ===================================================================================
//	Apple includes
// ===================================================================================
#ifdef __CF_USE_FRAMEWORK_INCLUDES__
	#include <Carbon/Carbon.h>
#else
	#include <Carbon.h>
#endif

// ===================================================================================
//	CPLAT_Framework includes
// ===================================================================================
#include "CP_Types.h"
#include "CP_FrameworkFlags.h"

#include "UserPrefixFlags.h"

#include "CP_FrameworkHeaders.h"

// ===================================================================================
//	Mac Toolbax headers to precompile
// ===================================================================================
#if TARGET_CC_METROWERKS
	#include "MacHeadersMach-O.c"
#endif

#if __GNUC__
	#include <Carbon/Carbon.h>
#endif
